<?php
/**
 * The template part for displaying grid layout
 * @package Transport Movers
 * @subpackage transport_movers
 * @since 1.0
 */
?>
<?php
  $archive_year  = get_the_time('Y');
  $archive_month = get_the_time('m');
  $archive_day   = get_the_time('d');
?>
<div class="col-lg-4 col-md-4">
  <article id="post-<?php the_ID(); ?>" <?php post_class('inner-service gridcontent'); ?>>
    <div class="box-image">
      <?php 
        if(has_post_thumbnail()) { 
          the_post_thumbnail(); 
        }
      ?>
    </div>
    <div class="mainbox p-4">
      <h2 class="section-title"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
      <?php if( get_theme_mod( 'transport_movers_metafields_date',true) != '' || get_theme_mod( 'transport_movers_metafields_author',true) != '' || get_theme_mod( 'transport_movers_metafields_comment',true) != '' || get_theme_mod( 'transport_movers_metafields_time',true) != '') { ?>
        <div class="metabox mb-3">
          <?php if( get_theme_mod( 'transport_movers_metafields_date',true) != '') { ?>
            <span class="entry-date me-2"><i class="<?php echo esc_attr(get_theme_mod('transport_movers_post_date_icon','far fa-calendar-alt')); ?> me-2"></i><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a><span class="ms-2"><?php echo esc_html( get_theme_mod('transport_movers_post_meta_seperator','|') ); ?></span></span>
          <?php }?>
          <?php if( get_theme_mod( 'transport_movers_metafields_author',true) != '') { ?>
            <span class="entry-author me-2"><i class="<?php echo esc_attr(get_theme_mod('transport_movers_post_author_icon','fas fa-user')); ?> me-2"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a><span class="ms-2"><?php echo esc_html( get_theme_mod('transport_movers_post_meta_seperator','|') ); ?></span></span>
          <?php }?>
          <?php if( get_theme_mod( 'transport_movers_metafields_comment',true) != '') { ?>
            <i class="<?php echo esc_attr(get_theme_mod('transport_movers_post_comment_icon','fas fa-comments')); ?> me-2"></i><span class="entry-comments me-2"> <?php comments_number( __('0 Comment', 'transport-movers'), __('0 Comments', 'transport-movers'), __('% Comments', 'transport-movers') ); ?><span class="ms-2"><?php echo esc_html( get_theme_mod('transport_movers_post_meta_seperator','|') ); ?></span></span>
          <?php }?>
          <?php if( get_theme_mod( 'transport_movers_metafields_time',true) != '' ) { ?>
            <span class="entry-time me-2"><i class="<?php echo esc_attr(get_theme_mod('transport_movers_post_time_icon','fas fa-clock')); ?> me-2"></i> <?php echo esc_html( get_the_time() ); ?></span>
            <?php }?>
        </div>
      <?php }?> 
      <div class="new-text">
        <?php $transport_movers_excerpt = get_the_excerpt(); echo esc_html( transport_movers_string_limit_words( $transport_movers_excerpt, esc_attr(get_theme_mod('transport_movers_post_excerpt_number','30')))); ?> <?php echo esc_html( get_theme_mod('transport_movers_post_discription_suffix','[...]') ); ?>
      </div> 
      <?php if( get_theme_mod('transport_movers_button_text','View More') != ''){ ?>
        <div class="postbtn mt-3">
          <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_theme_mod('transport_movers_button_text','View More'));?><i class="<?php echo esc_attr(get_theme_mod('transport_movers_post_button_icon','fas fa-long-arrow-alt-right')); ?> me-2 py-0 px-2"></i><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('transport_movers_button_text','View More'));?></span></a>
        </div>
      <?php }?>
    </div>
  </article>
</div>